# Uses of Interface
org.eclipse.birt.chart.model.attribute.TooltipValue

Packages that use TooltipValue
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of TooltipValue in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return TooltipValue
Modifier and Type
Method
Description
`TooltipValue`
GObjectFactory.`createTooltipValue(int iDelay, String sText)`
`TooltipValue`
GObjectFactory.`createTooltipValue(int iDelay, String sText, FormatSpecifier formatSpecifier)`
`TooltipValue`
IGObjectFactory.`createTooltipValue(int iDelay, String sText)`
`TooltipValue`
IGObjectFactory.`createTooltipValue(int iDelay, String sText, FormatSpecifier formatSpecifier)`

## Uses of TooltipValue in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return TooltipValue
Modifier and Type
Method
Description
`TooltipValue`
TooltipValue.`copyInstance()`
`TooltipValue`
AttributeFactory.`createTooltipValue()`
Returns a new object of class 'Tooltip Value'.

## Uses of TooltipValue in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement TooltipValue
Modifier and Type
Class
Description
`class`
`TooltipValueImpl`
An implementation of the model object ' Tooltip Value'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return TooltipValue
Modifier and Type
Method
Description
`TooltipValue`
TooltipValueImpl.`copyInstance()`
A convenient method to get an instance copy.
`static final TooltipValue`
TooltipValueImpl.`create(int iDelay, String sText)`
A convenience method provided to build a tooltip action value when needed NOTE: Manually written
`static final TooltipValue`
TooltipValueImpl.`create(int iDelay, String sText, FormatSpecifier formatSpecifier)`
A convenience method provided to build a tooltip action value when needed NOTE: Manually written
`TooltipValue`
AttributeFactoryImpl.`createTooltipValue()`